Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1487301 - Cancel Button under activation keys won't work
Summary: Cancel Button under activation keys won't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Activation Keys
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Dan Seethaler
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-31 15:05 UTC by Nikhil Kathole
Modified: 2019-08-12 14:05 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-katello-3.4.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of UI (37.86 KB, image/png)
2017-08-31 15:05 UTC, Nikhil Kathole
no flags Details
Screen in UI activation key (62.70 KB, application/octet-stream)
2017-10-09 08:26 UTC, Nikhil Kathole
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20719 0 None None None 2017-09-20 16:10:13 UTC

Description Nikhil Kathole 2017-08-31 15:05:56 UTC
Created attachment 1320639 [details]
screenshot of UI

Description of problem: While cancelling creation of activation key, clicking cancel button did not perform any action.


Version-Release number of selected component (if applicable): sat 6.3 snap 13


How reproducible: always


Steps to Reproduce:
1. Navigate to Content -> activation keys -> create activation key
2. click on cancel

Actual results:
Cancel button didn't perform any action.

Expected results:
Clicking cancel button should cancel creation of activation key.

Additional info:

Comment 2 Daniel Lobato Garcia 2017-09-06 22:01:12 UTC
Created redmine issue http://projects.theforeman.org/issues/20864 from this bug

Comment 4 Brad Buckingham 2017-09-20 16:10:14 UTC
This appears to be a regression related to the upstream UI changes.  It has since been addressed; therefore, linking to the upstream issue.

Comment 6 Nikhil Kathole 2017-10-09 08:25:36 UTC
VERIFIED

Version Tested:
Satellite-6.3 Snap 19

steps:
1. Clicked on create activation key
2. Clicked on cancel

Found Cancel button working properly.

Comment 7 Nikhil Kathole 2017-10-09 08:26:53 UTC
Created attachment 1336183 [details]
Screen in UI activation key

Comment 9 Satellite Program 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.